Generation Framework

## org.eclipse.gmf.gmfgraph
Interface DefaultSizeFacet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VisualFacet

All Known Implementing Classes:
  DefaultSizeFacetImpl

    public interface DefaultSizeFacet

extends VisualFacet

A representation of the model object 'Default Size Facet'.

The following features are supported:

- `Default Size`

See Also:
  `GMFGraphPackage.getDefaultSizeFacet()`
** Generated **
Model:

Method Summary
`Dimension` `getDefaultSize()` Returns the value of the 'Default Size' containment reference
`void` `setDefaultSize(Dimension value)` Sets the value of the '`Default Size`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDefaultSize

    Dimension getDefaultSize()

  Returns the value of the 'Default Size' containment reference.

  If the meaning of the 'Default Size' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Size' containment reference.
  See Also:
    `setDefaultSize(Dimension)`, `GMFGraphPackage.getDefaultSizeFacet_DefaultSize()`
  ** Generated **
  Model:
    containment="true"

### setDefaultSize

    void setDefaultSize(Dimension value)

  Sets the value of the '`Default Size`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Size' containment reference.
  See Also:
    `getDefaultSize()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.